org.apache.lucene.store.je

## Class JEIndexInput

- java.lang.Object
- - org.apache.lucene.store.IndexInput
  - - org.apache.lucene.store.je.JEIndexInput

- All Implemented Interfaces:
    java.lang.Cloneable

      public class JEIndexInput
      extends org.apache.lucene.store.IndexInput

  Port of Andi Vajda's DbDirectory to Java Edition of Berkeley Database

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Block` | `block`
    `protected JEDirectory` | `directory`
    `protected File` | `file`
    `protected long` | `length`
    `protected long` | `position`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JEIndexInput(JEDirectory directory, java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `void` | `close()`
    `long` | `getFilePointer()`
    `long` | `length()`
    `byte` | `readByte()`
    `void` | `readBytes(byte[] b, int offset, int len)`
    `void` | `seek(long pos)`

    - ### Methods inherited from class org.apache.lucene.store.IndexInput

      `readBytes, readChars, readInt, readLong, readString, readStringStringMap, readVInt, readVLong, setModifiedUTF8StringsMode, skipChars`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### position

          protected long position

    - #### length

          protected long length

    - #### directory

          protected JEDirectory directory

    - #### block

          protected Block block

    - #### file

          protected File file

  - ### Constructor Detail

    - #### JEIndexInput

          protected JEIndexInput(JEDirectory directory,
                                 java.lang.String name)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `org.apache.lucene.store.IndexInput`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in class `org.apache.lucene.store.IndexInput`
      Throws:
        `java.io.IOException`

    - #### length

          public long length()

      Specified by:
        `length` in class `org.apache.lucene.store.IndexInput`

    - #### readByte

          public byte readByte()
                        throws java.io.IOException

      Specified by:
        `readByte` in class `org.apache.lucene.store.IndexInput`
      Throws:
        `java.io.IOException`

    - #### readBytes

          public void readBytes(byte[] b,
                                int offset,
                                int len)
                         throws java.io.IOException

      Specified by:
        `readBytes` in class `org.apache.lucene.store.IndexInput`
      Throws:
        `java.io.IOException`

    - #### seek

          public void seek(long pos)
                    throws java.io.IOException

      Specified by:
        `seek` in class `org.apache.lucene.store.IndexInput`
      Throws:
        `java.io.IOException`

    - #### getFilePointer

          public long getFilePointer()

      Specified by:
        `getFilePointer` in class `org.apache.lucene.store.IndexInput`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.